/// The Rust UDF source failed validation or compilation.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidUdfSource {
    #[builder(into)]
    #[serde(rename = "diagnostics")]
    diagnostics: String,
}
impl InvalidUdfSource {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(diagnostics: impl Into<String>) -> Self {
        Self::builder().diagnostics(diagnostics).build()
    }
    #[inline]
    pub fn diagnostics(&self) -> &str {
        &*self.diagnostics
    }
}
impl conjure_error::ErrorType for InvalidUdfSource {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:InvalidUdfSource"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
